Name: sendmail
Version: 8.12.10
Release: alt3

Packager: Konstantin Timoshenko <kt@altlinux.ru>

Summary: A widely used Mail Transport Agent (MTA)
License: BSD
Group: System/Servers

Source0: ftp://ftp.%name.org/pub/%name/%name.%version.tar.bz2
Source1: %name.init
Source2: http://www.informatik.uni-kiel.de/%7Eca/email/rules/check.tar.bz2
Source3: aliases
Source4: %name.sysconfig
Source5: %name-8.12.0-etc-mail-Makefile
Source6: %name-alt.mc

Source7: Sendmail.conf
Source8: %name.pam
Source9: %name-real-time.mc
Source10: README.alt
Source11: %name-submit.mc

Patch0: %name-8.12.2-alt.patch
Patch1: %name-8.10.0-makemapman.patch
Patch2: %name-8.12.0-smrsh.patch
Patch3: %name-8.8.7-rmail.patch
Patch4: %name-8.12.2-aliasesDoS.patch
Patch5: %name-8.11.1-up-limit.patch
Patch6: %name-8.11.0-m4path.patch

Provides: MTA, MailTransportAgent, smtpdaemon
Conflicts: postfix
PreReq: sendmail-common

BuildConflicts: bind-devel

# Automatically added by buildreq on Thu Nov 27 2003
BuildRequires: glibc-devel-static groff-base libMySQL libdb4.0-devel-static libgdbm-devel libkrb5 libldap-devel libsasl-devel libssl-devel libwrap-devel pmake libpam0 libpam0-devel

%description
The Sendmail program is a very widely used Mail Transport Agent (MTA).
MTAs send mail from one machine to another.

Sendmail is not a client program, which you use to read your e-mail. Sendmail
is a behind-the-scenes program which actually moves your e-mail over networks
or the Internet to where you want it to go.

If you ever need to reconfigure Sendmail, you'll also need to have the
%name.cf package installed. If you need documentation on Sendmail, you can
install the %name-doc package.

%package doc
Summary: Documentation about the Sendmail Mail Transport Agent program
Group: System/Servers
AutoReq: yes, noshell
Conflicts: %name < %version-%release, %name > %version-%release

%description doc
The %name-doc package contains documentation about the Sendmail
Mail Transport Agent (MTA) program, including release notes, the
Sendmail FAQ and a few papers written about Sendmail. The papers are
provided in PostScript(TM) and troff formats.

Install the %name-doc package if you need documentation about
Sendmail.

%package cf
Summary: The files needed to reconfigure Sendmail
Group: System/Servers
Requires: make, m4
Conflicts: %name < %version-%release, %name > %version-%release

%description cf
This package includes the configuration files which you'd need to generate the
%name.cf file distributed with the %name package.

You'll need the %name-cf package if you ever need to reconfigure and rebuild
your %name.cf file. For example, the default %name.cf file is not
configured for UUCP. If someday you needed to send and receive mail over UUCP,
you'd need to install the %name-cf package to help you reconfigure Sendmail.

Install the %name-cf package if you need to reconfigure your
%name.cf file.

%package devel
Summary: Sendmail static libraries and headers file
Group: Development/Other
Conflicts: %name < %version-%release, %name > %version-%release

%description devel
This package includes the static libraries and header files

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# XXX REVERTING
#tar xf $RPM_SOURCE_DIR/check.tar -C cf
#chown root.root cf/hack/* cf/README.check

%__sed -e 's|@@PATH@@|\.\.|' < %SOURCE6 > cf/cf/altlinux.mc
%__sed -e 's|@@PATH@@|\.\.|' < %SOURCE9 > cf/cf/real-time.mc
%__sed -e 's|@@PATH@@|\.\.|' < %SOURCE11> cf/cf/submit.mc

%build
%make_build

pushd cf/cf
m4 altlinux.mc > altlinux.cf
m4 real-time.mc > real-time.cf
popd

%install
for i in %_bindir %_libdir %_mandir/man{1,5,8} %_sbindir %_logdir %_spooldir %_datadir/%name-cf %_initdir %_sysconfdir/sysconfig %_spooldir/mqueue %_sysconfdir/smrsh %_sysconfdir/mail %_spooldir/clientmqueue var/run/%name %_sysconfdir/pam.d %_includedir %_docdir/%name; do
	%__mkdir_p "$RPM_BUILD_ROOT/$i"
done

OBJDIR=obj.$(uname -s).$(uname -r).$(arch)

# fix default id and gid during install steps
export ID=" SBINOWN=`id -nu` UBINOWN=`id -nu` \
	    SBINGRP=`id -ng` UBINGRP=`id -ng` \
	    MSPQOWN=`id -nu` GBINGRP=`id -ng` \
	    GBINOWN=`id -nu` \
	    CFOWN=`id -nu` CFGRP=`id -ng` \
	    BINOWN=`id -nu` BINGRP=`id -ng` \
	    MANOWN=`id -nu` MANGRP=`id -ng` \
	    LIBOWN=`id -nu` LIBGRP=`id -ng` LIBMODE=644 \
	    INCOWN=`id -nu` INCGRP=`id -ng` INCMODE=644 \
	    MANROOT=%_mandir/man CFMODE=0644"

%makeinstall DESTDIR=$RPM_BUILD_ROOT CF=real-time $ID

%make_build DESTDIR=$RPM_BUILD_ROOT $ID force-install -C $OBJDIR/rmail
%make_build DESTDIR=$RPM_BUILD_ROOT $ID force-install -C $OBJDIR/mail.local

# install docs by hand
%__cp -ar FAQ LICENSE KNOWNBUGS README RELEASE_NOTES doc $RPM_BUILD_ROOT%{_docdir}/%name
%__cp smrsh/README $RPM_BUILD_ROOT%{_docdir}/%name/README.smrsh
%__cp sendmail/README $RPM_BUILD_ROOT%{_docdir}/%name/README.sendmail
%__cp mail.local/README $RPM_BUILD_ROOT%{_docdir}/%name/README.mail.local
%__cp cf/README $RPM_BUILD_ROOT%{_docdir}/%name/README.cf
%__cp cf/cf/README $RPM_BUILD_ROOT%{_docdir}/%name/README.install-cf
%__cp %{SOURCE10} $RPM_BUILD_ROOT%{_docdir}/%name/
%__cp libmilter/README $RPM_BUILD_ROOT%{_docdir}/%name/README.libmilter
%__cp -ar libmilter/docs/ $RPM_BUILD_ROOT%{_docdir}/%name/libmilter

# install the cf files
%make_build DESTDIR=$RPM_BUILD_ROOT $ID CF=real-time install-cf -C cf/cf
pushd cf
%__cp -ar * $RPM_BUILD_ROOT%_datadir/%name-cf
%__install -m 644 %SOURCE9 $RPM_BUILD_ROOT%_datadir/%name-cf/cf
%__rm -f $RPM_BUILD_ROOT%_datadir/%name-cf/*/*.m4path
%__make -C cf real-time.cf
popd

#
# install include & static lib
find $OBJDIR/lib* -name "*.a" -exec %__cp {} $RPM_BUILD_ROOT%_libdir \;
%__cp -ar include $RPM_BUILD_ROOT%_prefix

%__sed -e 's|@@PATH@@|%_datadir/%name-cf|' < %SOURCE9 > $RPM_BUILD_ROOT%_sysconfdir/mail/%name.mc
%__sed -e 's|@@PATH@@|%_datadir/%name-cf|' < %SOURCE11> $RPM_BUILD_ROOT%_sysconfdir/mail/submit.mc

echo "# local-host-names - include all aliases for your machine here." > $RPM_BUILD_ROOT%_sysconfdir/mail/local-host-names
echo -n >$RPM_BUILD_ROOT%_logdir/%name.st
( echo "# trusted-users - users that can send mail as others without a warning"
echo "# apache, mailman, majordomo, uucp, are good candidates" ) \
	> $RPM_BUILD_ROOT%_sysconfdir/mail/trusted-users

# dangling symlinks
for f in hoststat purgestat mailq newaliases; do
	%__ln_s -f ../sbin/%name "$RPM_BUILD_ROOT%_bindir/$f"
done

%__ln_s -f ../sbin/makemap $RPM_BUILD_ROOT%_bindir/makemap

%__cat <<EOF > $RPM_BUILD_ROOT%_sysconfdir/mail/access
# Check the /usr/doc/%name-%version/README.cf file for a description
# of the format of this file. (search for access_db in that file)
# The /usr/doc/%name-%version/README.cf is part of the %name-doc
# package.
#
# by default we allow relaying from localhost...
localhost.localdomain		RELAY
localhost			RELAY
127.0.0.1			RELAY

EOF
for map in virtusertable access domaintable mailertable; do
    touch $RPM_BUILD_ROOT%_sysconfdir/mail/${map}
    %__chmod 0644 $RPM_BUILD_ROOT%_sysconfdir/mail/${map}
done
%__install -m644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/mail/aliases
%__install -m644 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/%name
%__install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
%__install -m 644 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/mail/Makefile
%__install -m755 -d $RPM_BUILD_ROOT%_libdir/sasl
%__install -m 644 %SOURCE7 $RPM_BUILD_ROOT%_libdir/sasl/Sendmail.conf
%__install -m 644 %SOURCE8 $RPM_BUILD_ROOT%_sysconfdir/pam.d/smtp

# Dadou: Remove ugly bad dependencies in doc package
find contrib -type f |xargs fgrep -l /usr/local/bin/perl |
	xargs -r %__subst -p 's|/usr/local/bin/perl|%_bindir/perl|g'
	
#	perl -pi -e 's|/usr/local/bin/perl|%_bindir/perl|g'
find contrib -type f |xargs fgrep -l '!/bin/perl' |
	xargs -r %__subst -p 's|#!/bin/perl|%_bindir/perl|g'

#	xargs -r perl -pi -e 's|#!/bin/perl|#!%_bindir/perl|g'

%pre
%_sbindir/groupadd -r -f smmsp
%_sbindir/useradd -M -r -g smmsp -s /dev/null -c smmsp smmsp &>/dev/null ||:

%post
# postfix go home.
/sbin/chkconfig --del postfix &>/dev/null ||:

%_sbindir/update-alternatives --install %_sysconfdir/aliases aliases %_sysconfdir/mail/aliases 20

#
# Convert old format to new
#

if [ -f %_sysconfdir/mail/deny ] ; then
    %__cat %_sysconfdir/mail/deny | \
	%__awk 'BEGIN{ print "# Entries from obsoleted %_sysconfdir/mail/deny"} \
		{print $1" REJECT"}' >> %_sysconfdir/mail/access
    %__cp %_sysconfdir/mail/deny %_sysconfdir/mail/deny.rpmorig
fi
for oldfile in relay_allow ip_allow name_allow ; do
    if [ -f %_sysconfdir/mail/$oldfile ] ; then
	%__cat %_sysconfdir/mail/$oldfile | \
		%__awk "BEGIN { print \"# Entries from obsoleted %_sysconfdir/mail/$oldfile\" ;} \
	     { print $1\" RELAY\" }" >> %_sysconfdir/mail/access
	%__cp %_sysconfdir/mail/$oldfile %_sysconfdir/mail/$oldfile.rpmorig
     fi
done

#
# Oops, these files moved
#
if [ -f %_sysconfdir/mail/%name.cw ] ; then
    cat %_sysconfdir/mail/%name.cw  | \
      %__awk 'BEGIN { print "# Entries from obsoleted %_sysconfdir/mail/%name.cw" ;} \
           { print $1 }' >> %_sysconfdir/mail/local-host-names
    %__cp %_sysconfdir/mail/%name.cw %_sysconfdir/mail/%name.cw.rpmorig
fi
#
# Rebuild maps (next reboot will rebuild also)
#
{ %_bindir/newaliases
  for map in virtusertable access domaintable mailertable
  do
    if [ -f %_sysconfdir/mail/${map} ] ; then
      %_bindir/makemap hash %_sysconfdir/mail/${map} < %_sysconfdir/mail/${map}
      sleep 1
    fi
  done
} &>/dev/null

%post_service %name

%preun
%preun_service %name
%_sbindir/update-alternatives --remove aliases %_sysconfdir/mail/aliases

%triggerpostun -- postfix, %name <= %version
[ $1 = 0 ] || exit 0
%_sbindir/update-alternatives --install %_sysconfdir/aliases aliases %_sysconfdir/mail/aliases 20

%files
%_bindir/hoststat
%_bindir/mailq
%_bindir/makemap
%_bindir/newaliases
%_bindir/purgestat
%_bindir/rmail
%_bindir/vacation

%_sbindir/editmap
%_sbindir/mail.local
%_sbindir/mailstats
%_sbindir/makemap
%_sbindir/praliases
%attr(2711,root,smmsp) %_sbindir/%name
%_sbindir/smrsh

%attr(644,root,root) %_mandir/man?/*
%attr(640,root,root) %_logdir/%name.st

# XXX can't do noreplace here or new sendmail will not deliver.
%dir %_sysconfdir/smrsh
%dir %_sysconfdir/mail

%attr(0444,root,wheel) %config(noreplace) %_sysconfdir/mail/%name.cf
%attr(0444,root,wheel) %config(noreplace) %_sysconfdir/mail/submit.cf

%attr(0644,root,root) %config %_sysconfdir/mail/%name.mc
%attr(0644,root,root) %config %_sysconfdir/mail/submit.mc

%attr(0640,root,root) %config(noreplace) %_sysconfdir/mail/local-host-names
%attr(0640,root,root) %config(noreplace) %_sysconfdir/mail/trusted-users
%attr(0640,root,root) %config(noreplace) %_sysconfdir/mail/aliases
%attr(0644,root,root) %config(noreplace) %_sysconfdir/mail/virtusertable
%attr(0644,root,root) %config(noreplace) %_sysconfdir/mail/access
%attr(0644,root,root) %config(noreplace) %_sysconfdir/mail/domaintable
%attr(0644,root,root) %config(noreplace) %_sysconfdir/mail/mailertable
%attr(0640,root,root) %config(noreplace) %_sysconfdir/mail/helpfile

%config(noreplace) %_sysconfdir/sysconfig/%name

%config %_sysconfdir/mail/Makefile

%attr(0755,root,root) %config(noreplace) %_initdir/%name

%attr(0750,root,wheel) %dir %_spooldir/mqueue
%attr(0770,smmsp,smmsp) %dir %_spooldir/clientmqueue
%attr(0770,root,smmsp) %dir /var/run/%name

%config(noreplace) %_libdir/sasl/Sendmail.conf
%config(noreplace) %_sysconfdir/pam.d/smtp

%files cf
%_datadir/%name-cf

%files doc
%doc contrib $RPM_BUILD_ROOT/%{_docdir}/%name/doc/op $RPM_BUILD_ROOT/%{_docdir}/%name/FAQ
%doc $RPM_BUILD_ROOT/%{_docdir}/%name/KNOWNBUGS $RPM_BUILD_ROOT/%{_docdir}/%name/LICENSE
%doc $RPM_BUILD_ROOT/%{_docdir}/%name/README* $RPM_BUILD_ROOT/%{_docdir}/%name/RELEASE_NOTES

%files devel
%doc libsm/{*.html,README} $RPM_BUILD_ROOT/%{_docdir}/%name/{libmilter,README.libmilter}
%_includedir/lib*
%_includedir/sendmail
%_includedir/sm
%_libdir/*.a

%changelog
* Thu Nov 27 2003 Konstantin Timoshenko <kt@altlinux.ru> 8.12.10-alt3
- chmod 750 /var/spool/mqueue

* Fri Sep 19 2003 Konstantin Timoshenko <kt@altlinux.ru> 8.12.10-alt2
- remove broked prereq.

* Thu Sep 18 2003 Konstantin Timoshenko <kt@altlinux.ru> 8.12.10-alt1
- 8.12.10
- Rewritten start/stop script to new rc scheme.

* Mon Mar 31 2003 Konstantin Timoshenko <kt@altlinux.ru> 8.12.9-alt1
- 8.12.9

* Tue Mar 04 2003 Konstantin Timoshenko <kt@altlinux.ru> 8.12.8-alt1
- 8.12.8

* Wed Jan 08 2003 Konstantin Timoshenko <kt@altlinux.ru> 8.12.7-alt1
- 8.12.7
- remove patch 8

* Sun Nov 10 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.6-alt2
- rebuild with libgdbm
- rebuild with libwrap

* Tue Oct 15 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.6-alt1
- 8.12.6

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 8.12.5-alt1.1
- fixed suid/sgid file permissions

* Tue Jul 02 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.5-alt1
- 8.12.5

* Tue Jun 04 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.4-alt1
- 8.12.4

* Tue May 28 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.3-alt2
- secutity update

* Sat Apr 06 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.3-alt1
- 8.12.3

* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 8.12.2-alt2
- Build with db4.
- Build without bind-devel.

* Thu Jan 17 2002 Konstantin Timoshenko <kt@altlinux.ru> 8.12.2-alt1
- 8.12.2

* Wed Oct 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.12.1-alt2
- Fixed few %_bindir/* and %_sbindir/* permissions.
- Fixed include files list in devel subpackage.

* Tue Oct  2 2001 Kostya Timoshenko <kt@altlinux.ru> 8.12.1-alt1
- 8.12.1
- added MailFilter support
- added devel package

* Fri Sep 14 2001 Kostya Timoshenko <kt@altlinux.ru> 8.12.0-alt1
- 8.12.0
- moved sendmail.cf in /etc/mail
- moved aliases in /etc/mail
- fix spec file
- changed /var/spool/mqueue to 700

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.11.6-alt1
- 8.11.6 (security update).

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.11.5-alt1
- 8.11.5 (bugfix/security update).

* Thu May 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.11.4-alt1
- 8.11.4 (secutity update).

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 8.11.3-ipl2mdk
- Added db3 to Requires.

* Thu Mar  1 2001 Kostya Timoshenko <kt@petr.kz> 8.11.3-ipl1mdk
- 8.11.3

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 8.11.2-ipl11mdk
- Moved commonly used sendmail links to sendmail-common package.
- Added sendmail-common to PreReqs.

* Mon Feb 19 2001 Kostya Timoshenko <kt@petr.kz> 8.11.2-ipl10mdk
- add provides MTA

* Thu Feb  8 2001 Kostya Timoshenko <kt@petr.kz> 8.11.2-ipl9mdk
- fix run level in sendmail init script

* Tue Feb  6 2001 Kostya Timoshenko <kt@petr.kz> 8.11.2-ipl8mdk
- Rebuild with db3-3.2.9

* Tue Jan 30 2001 Kostya Timoshenko <kt@petr.kz> 8.11.2-ipl7mdk
- put back sendmail setuid as required by "Brian J. Murrell" <cooker-in@interlinx.bc.ca>

* Wed Jan 17 2001 Kostya Timoshenko <kt@petr.kz> 8.11.2-ipl6mdk
- fix aliases path in cfhead.m4

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 8.11.2-ipl5mdk
- Rebuild with db3-3.2.3e.
- Fixed PreReq tag.
- Minor specfile cleanup and uncompression of patches.

* Wed Jan  3 2001 Kostya Timoshenko <kt@petr.kz>
- 8.11.2
- remove sendmail-8.10.0-smrsh-paths.patch,sendmail-8.10.0-movefiles.patch
- add sendmail-8.11.2-smrsh-paths.patch,sendmail-8.11.2-movefiles.patch

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- adding sendmail-8.11.1-ipl-mdk.patch
- Build for RE

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.11.1-3mdk
- Set sendmail a suid.

* Sat Nov 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.11.1-2mdk
- QUEUE_LA, REFUSE_LA as 100.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.11.1-1mdk
- put a new and shiny source in cooker.

* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 8.11.0-4mdk
- provides MailTransportAgent for fetchmail

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 8.11.0-3mdk
- config-noreplace initscript

* Thu Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 8.11.0-2mdk
- Fix bad dependencies on Perl
- %config(noreplace) /etc/sendmail.cf

* Wed Aug 23 2000 Philippe Libat <philippe@mandrakesoft.com> 8.11.0-1mdk
- version 8.11.0
- replace %_mandir, %_initdir

* Fri May 12 2000 Saugey Vincent <vince@mandrakesoft.com> 8.10.1-2mdk
- Fix good directory to use makemap with sendmail installed
- Remove strip of file

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 8.10.1-1mdk
- updated to 8.10.1
- re-did ppc fixes
- Merged with RedHat:
  remove compatiblity chkconfig links
  break the hard link for makemap and create it as a symlnk (#8223)
  change perms on /etc/sysconfig/sendmail from 0755 to 0644
  allow compressed man-pages
  add patch to prevent the DoS when rebuilding aliases
  Fix location of mailertable (Bug #6035)
  fixes for non-root builds (#8178)
  install man pages, not groff output (#3746).
  use dnl not '#' in m4 comment (#3749).
  add FEATURE(mailtertable) to the config -- example file needs this (#4649).

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 8.9.3-22mdk
- fixed install step not to depend on already installed stuff.
- new groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 8.9.3-21mdk
- Added PPC fixes

* Wed Jan 12 2000 Philippe Libat <philippe@mandrakesoft.com>
- Add attr to aliases.db in sendmail.spec

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Die if lord postfix is present.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with redhat patch.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- more sleep deprivation derived type-o's

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- sendmail init now checks for postfix

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.9.3

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- use the libdb1 stuff correctly

* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly.

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.
